package com.loafle.overflow.central.module.sensor.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

import com.loafle.overflow.model.sensor.Sensor;
import com.loafle.overflow.model.target.Target;

/**
 * Created by root on 17. 6. 9.
 */
@Repository
public interface SensorDAO extends JpaRepository<Sensor, Long> {
  List<Sensor> findAllByTargetId(Long targetID);

  List<Sensor> findAllByTargetIn(List<Target> targets);

  List<Sensor> findAllByTargetInfraProbeId(Long probeId);
}
