package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.spring.AppConfigTest;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCollectionItem;
import com.loafle.overflow.service.central.meta.MetaCollectionItemService;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.util.Assert;

import java.util.List;

import static org.junit.Assert.*;

@RunWith(SpringJUnit4ClassRunner.class)
@ActiveProfiles("test")
@ContextConfiguration(classes = {AppConfigTest.class})
@Ignore
public class CentralMetaCollectionItemServiceTest {

  @Autowired
  private MetaCollectionItemService metaCollectionItemService;

  @Test
  public void readAll() throws OverflowException {
    List<MetaCollectionItem> items = this.metaCollectionItemService.readAll();
    org.junit.Assert.assertNotNull(items);
  }

  @Test
  public void readByKey() throws OverflowException {
    MetaCollectionItem item = this.metaCollectionItemService.readByKey("SERVICE_RESPONSE_TIME");
    org.junit.Assert.assertNotNull(item);
  }

  @Test
  public void readByID() {
  }
}
